curl --request POST \
--url https://dash.superagentes.ai/api/agents/{id}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"conversationId": "<string>",
"visitorId": "<string>",
"temperature": 123,
"streaming": true,
"maxTokens": 123,
"presencePenalty": 123,
"frequencyPenalty": 123,
"topP": 123,
"filters": {
"custom_ids": [
"<string>"
],
"datasource_ids": [
"<string>"
]
},
"systemPrompt": "<string>",
"userPrompt": "<string>"
}
'import requests
url = "https://dash.superagentes.ai/api/agents/{id}/query"
payload = {
"query": "<string>",
"conversationId": "<string>",
"visitorId": "<string>",
"temperature": 123,
"streaming": True,
"maxTokens": 123,
"presencePenalty": 123,
"frequencyPenalty": 123,
"topP": 123,
"filters": {
"custom_ids": ["<string>"],
"datasource_ids": ["<string>"]
},
"systemPrompt": "<string>",
"userPrompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
conversationId: '<string>',
visitorId: '<string>',
temperature: 123,
streaming: true,
maxTokens: 123,
presencePenalty: 123,
frequencyPenalty: 123,
topP: 123,
filters: {custom_ids: ['<string>'], datasource_ids: ['<string>']},
systemPrompt: '<string>',
userPrompt: '<string>'
})
};
fetch('https://dash.superagentes.ai/api/agents/{id}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"answer": "<string>",
"conversationId": "<string>",
"visitorId": "<string>",
"sources": [
{}
]
}Pergunte ao Agente
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do agente
Body
Esta é a pergunta que você deseja fazer ao seu agente.
ID da conversa (Se não for fornecido, uma nova conversa será criada)
ID do participante que está enviando a pergunta (Se não for fornecido, um novo ID será criado)
Temperatura do modelo (mínimo 0.0, máximo 1.0)
Habilitar streaming
Substituir o modelo do agente
groq, gpt_4o, gpt_4o_mini, claude_3_5_sonnet, ... O número máximo de tokens a serem gerados na conclusão do chat.
Número entre -2.0 e 2.0. Valores positivos penalizam novos tokens com base em sua presença no texto até o momento, aumentando a probabilidade do modelo falar sobre novos tópicos.
Número entre -2.0 e 2.0. Valores positivos penalizam novos tokens com base em sua frequência existente no texto até o momento, diminuindo a probabilidade do modelo repetir a mesma linha literalmente.
Uma alternativa à amostragem com temperatura, chamada amostragem de núcleo, onde o modelo considera os resultados dos tokens com massa de probabilidade top_p. Então 0.1 significa que apenas os tokens que compõem os 10% superiores da massa de probabilidade são considerados. Geralmente recomendamos alterar isso ou a temperatura, mas não ambos.
Show child attributes
Show child attributes
Prompt do sistema do agente
Prompt do usuário do agente

